/////////////////////////////////////////////////////////////////////////
// level functions

export class Autobuyer {
    constructor() {
        this.levels = false
        this.bandwidth = false
    }

    // save data
    save() {
        return {
            levels: this.levels,
            bandwidth: this.bandwidth
        }
    }

    restore(save_data) {
        Object.assign(this, save_data)
    }

    // timer tick
    tick(state, interval) {

        if (this.levels) {
            state.levels.forEach(l => {
                if (l.shouldAutobuy()) { l.upgradeMultiplier(state) }
            });
        }

        if (this.bandwidth) {

            if (state.bandwidth.canUpgrade(state)) {
                state.bandwidth.upgrade(state)
            }
        }
    }

}

/////////////////////////////////////////////////////////////////////////
// end of file