/////////////////////////////////////////////////////////////////////////

import { createApp } from 'vue'
import { createPinia } from 'pinia'
import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-icons/font/bootstrap-icons.css'
import Clicker42 from './Clicker42.vue'

/////////////////////////////////////////////////////////////////////////

const pinia = createPinia()
const clicker = createApp(Clicker42)

/////////////////////////////////////////////////////////////////////////

clicker.use(pinia)
clicker.mount('#clicker42')

/////////////////////////////////////////////////////////////////////////
// end of file